/*
 * file: PvEngineAttr.h
 * This file is part of the libpv library.
 *
 * Copyright 2005 Pengutronix
 *
 * Please send bug reports to bugs@pengutronix.de
 *
 * See COPYING for the status of this software.
 */

#ifndef LIBPV_PYTHON_PV_ENGINE_ATTR_H
#define LIBPV_PYTHON_PV_ENGINE_ATTR_H

#include <Python.h>
#include <libpv.h>

PyTypeObject PvEngineAttr_Type;

typedef struct {
	PyObject_HEAD
	pv_engine_attr_t attr;
} PvEngineAttrObject;

PyObject *PvEngineAttr_new(PyTypeObject *type, PyObject *args, PyObject *keywds);
void PvEngineAttr_dealloc(PvEngineAttrObject *self);

#endif

